org.omg.CORBA

## Class RepositoryIdHelper

- java.lang.Object
- - org.omg.CORBA.RepositoryIdHelper

    public abstract class RepositoryIdHelper
    extends Object

The Helper for `RepositoryId`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/RepositoryIdHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl 03 June 1999 11:33:43 o'clock GMT+00:00

### Constructor Summary

Constructors
Constructor and Description
`RepositoryIdHelper()`

### Method Summary

Methods
`static String` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, String that)`
`static String` `read(InputStream istream)`
`static TypeCode` `type()`
`static void` `write(OutputStream ostream, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryIdHelper

    public RepositoryIdHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              String that)

#### extract

    public static String extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static String read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             String value)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.